package com.xxh.cloud.metadata.client.api;

import com.xxh.cloud.metadata.client.api.bean.bos.meta.MetadataBO;

import java.util.Collection;
import java.util.List;
import java.util.Map;

public interface MetadataClientService {
    /***/
    public MetadataBO getMetadata(String id);

    /***/
    public List<MetadataBO> getMetadataList(Collection<String> ids);



    /***/
    public Map<String,MetadataBO> getMetadataMap(Collection<String> ids);

    /***/
    public List<MetadataBO> getMetadataListByCategory(String categoryId);

    /***/
    public Map<String,MetadataBO> getMetadataMapByCategory(String categoryId);

    /***/
    public List<MetadataBO> getMetadataListByCategory2Child(String categoryId);
    /***/
    public Map<String,MetadataBO> getMetadataMapByCategory2Child(String categoryId);


}
