package com.xxh.cloud.metadata.client.api.bean.bos.standard;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

@Getter
@Setter
public class StandardDiseaseBO {

    @ApiModelProperty(value = "编号")
    private String id;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "别名")
    private String aliasName;

    @ApiModelProperty(value = "ICD10编号")
    private String icd10Code;

    @ApiModelProperty(value = "英文名称")
    private String enName;

    @ApiModelProperty(value = "名称缩写")
    private String abbrName;

    @ApiModelProperty(value = "对应疾病系统")
    private String systemId;

    @ApiModelProperty(value = "类型（多选）")
    private List<String> type;

    @ApiModelProperty(value = "父编号")
    private String pid;

}
