package com.xxh.cloud.metadata.client.api.bean.bos.standard;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class StandardMedicantDrugRelBO {


    @ApiModelProperty(value = "内部编号")
    private String id;

    /**
     * 药品ID
     */
    @ApiModelProperty(value = "药品ID")
    private String medicantId;

    /**
     * 院内药品编号
     */
    @ApiModelProperty(value = "院内药品编号")
    private String drugId;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 项目编号
     */
    @ApiModelProperty(value = "项目编号")
    private String projectCode;


    @ApiModelProperty("创建者")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("更新者")
    private String updater;
    
    @ApiModelProperty("更新时间")
    private Date updateDate;

    
    @ApiModelProperty(value = "药品信息")
    private StandardMedicantBO standardMedicantInfo;

}
