package com.xxh.cloud.metadata.client.api.bean.bos.table;

import com.xxh.cloud.metadata.client.api.bean.bos.meta.MetadataBO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class TableColumnBO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "所属表ID")
    private String tableId;

    @ApiModelProperty(value = "字段编号")
    private String code;

    @ApiModelProperty(value = "字段名称")
    private String name;

    @ApiModelProperty(value = "字段类型")
    private String type;

    @ApiModelProperty(value = "标准元数据ID")
    private String metadataId;


    @ApiModelProperty(value = "备注")
    private String remark;


    @ApiModelProperty(value = "顺序")
    private Integer orders;

    //====================================

    @ApiModelProperty(value = "标准元数据")
    private MetadataBO metadata;


}
