package com.xxh.cloud.metadata.framework.modules.common.constant.enums;

public enum ConditionOp {


    EQ("eq","等于"),
    NE("ne","不等于"),
    GT("gt","大于"),
    GE("ge","大于等于"),
    LT("lt","小于"),
    LE("le","小于等于"),

    Between("between","区间"),
    NotBetween("not-between","不在区间"),

    Like("like","包含"),

    NotLike("not-like","不包含"),

    IsNull("is-null","空"),
    IsNotNull("is-not-null","非空"),

    In("in","存在于"),

    NotIn("not-in","不存在于"),
    ;

    private String code;
    private String msg;
    private ConditionOp(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }
    public String getCode() {
        return code;
    }
    public String getMsg() {
        return msg;
    }



}
