package com.xxh.cloud.metadata.framework.modules.common.constant.enums;


/**
 *
 * */
public enum RuleCondtionDataTypeEnum {





    //体检
    Report_PhysicalExamine("physical_examine_report","体检报告"), //总检报告


    //检验
    Apply_Laboratory_Group("laboratory_group_apply","申请检验组套"), //del
    Apply_Laboratory_Project("laboratory_project_apply","申请检验项目"),
    Report_Laboratory("laboratory_project","检验报告"),

    //检查
    Reserve_Examine("reserve_examine","预约检查"),
    Apply_Examine("examine_apply","申请检查"),
    Report_Examine("examine_project","检查报告"),

    //病理
    Apply_Pathology("pathology_apply","病理检查申请"), //病理检验项目
    Report_Pathology("pathology_report","病理报告"), //病理检验项目


    //手术
    Apply_Operation("operation_apply","手术申请"),
    OperationRecord("operation_record","手术记录"),
    OperationText("operation_text","手术文书"), //没有数据

    //治疗
//    Apply_Therapy("therapy_apply","治疗申请"), //del
    Therapy("therapy","治疗"),  //new

    //挂号
    Reserve_RegisterRecord("reserve_register_record","预约挂号"), //new
    RegisterRecord("register_record","挂号记录"), //new

    // 入院
    Reserve_Inpatient("reserve_inpatient","预约住院[含诊断]"), //

    Reserve_Inpatient_Not("reserve_inpatient_not","预约住院[不含诊断]"), //

    Apply_Inpatient("inpatient_apply","申请住院"), //
    Inpatient("inpatient","入院记录[含诊断]"), //入院记录[含诊断]

    Inpatient_Not("inpatient_not","入院记录[不含诊断]"), //入院记录[不含诊断]


    //出院
    Apply_Discharge("apply_discharge","申请出院"),
    Discharge("discharge","出院记录"),
    DischargeSummary("discharge_summary","出院小结"),  //没有数据

    //护理
    Apply_Nurse("apply_nurse","申请护理"),

    //诊断
    Diagnosis("diagnosis","诊断"),
    CollectFee("collect_fee","收费"),  //new
    VisitRecord("visit_record","就诊记录"),  //new


    Online_Inquiry("online_inquiry","在线问诊"),


    Change_Ward("change_ward","转病区"),
    Change_Dept("change_dept","转科室"),
    Change_Bed("change_bed","转病床"),

    //用药
    Medicine_MZ("medicine_mz","门诊用药"),
    Medicine_JZ("medicine_jz","急诊用药"),
    Medicine_ZY("medicine_zy","住院用药"),
    Medicine_CY("medicine_cy","出院带药"),

    //病历
    Medical_Record("medical_record","病历"),
    Physical_Sign("physical_sign","体征"),


    //电子病历
    EMR_BMI("EMR_BMI","BMI"),
    EMR_Height("EMR_height","身高"),
    EMR_Weight("EMR_weight","体重"),
    EMR_BloodPressure("EMR_BloodPressure","血压"),
    EMR_HeartRate("EMR_HeartRate","心率"),
    EMR_Temperature("EMR_Temperature","体温"),

    EMR_SymptomZS("EMR_SymptomZS","主诉(症状)"),
    EMR_SymptomJWS("EMR_SymptomJWS","既往史(症状)"),
    EMR_SymptomXBS("EMR_SymptomXBS","现病史(症状)"),
    EMR_SymptomPart("EMR_SymptomPart","症状部位"),

    // =====量表
    ScaleResult("scale_result","量表结果"),

    ScaleItemResult("scale_item_result","量表明细结果"),

    //===== 基础
    Keywords("keywords","关键字"),

    //===== 标签条件
    Label("label","标签"),

    //======================== 标准元数据【元数据分类编号】
    MDT_Patient("md_patient","患者基本信息"),


    //==========================标准数据定义
    MDS_Disease("mds_disease","标准诊断(IDC10)"),
    MDS_LaboratoryProject("mds_laboratory_project","标准检验项目"),
    MDS_LaboratoryProjectGroup("mds_laboratory_group","标准检验组套"),
    MDS_ExamineProject("mds_examine_project","标准检验项目"),
    MDS_Operation("mds_operation","标准手术"),
    MDS_Therapy("mds_therapy","标准治疗"),
    MDS_Medicine("mds_medicine","标准用药"),

    MDS_Symptom("mds_symptom","标准症状"),

    MDS_Label("mds_label","标签"),


    MDS_PushServe("push_serve","推送服务"),
    MDS_PushTask("push_task","推送任务"),
    MDS_Remind("remind","提醒"),

    MDS_Risk("risk","风险"),

    MDS_Event("event","事件"),

    MDS_Dept("mds_dept","标准科室"),








    ;

    private String code;
    private String msg;

    private RuleCondtionDataTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }
    public String getCode() {
        return code;
    }
    public String getMsg() {
        return msg;
    }

}
