package com.xxh.cloud.metadata.framework.modules.base.biz;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.metadata.framework.modules.base.entity.dos.MetadataInfo;
import com.xxh.cloud.metadata.framework.modules.base.entity.dto.MetadataInfoQueryDTO;
import com.xxh.cloud.metadata.framework.modules.base.entity.dto.MetadataInfoSaveDTO;
import com.xxh.cloud.metadata.framework.modules.base.entity.dto.MetadataInfoUpdateDTO;
import com.xxh.cloud.metadata.framework.modules.base.entity.vos.MetadataInfoVO;

import java.util.Collection;
import java.util.List;

public interface MetadataInfoBizService {


    public IPage<MetadataInfo> queryMetadataInfo(MetadataInfoQueryDTO params);

    public PageData<MetadataInfoVO> query(MetadataInfoQueryDTO params);

    public MetadataInfoVO save(MetadataInfoSaveDTO params);

    public MetadataInfoVO update(MetadataInfoUpdateDTO params);

    public void delById(String id);

    public MetadataInfoVO infoById(String id);


//    @Deprecated
//    public List<MetadataInfoVO> getListByIds(Collection<String> ids);


}
