package com.xxh.cloud.metadata.framework.modules.base.biz;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.metadata.framework.modules.base.entity.dto.*;
import com.xxh.cloud.metadata.framework.modules.base.entity.vos.TableInfoVO;

import java.util.List;

public interface TableInfoBizService {


    public PageData<TableInfoVO> query(TableInfoQueryDTO params);

    public List<TableInfoVO> list(TableInfoListDTO params);

    public TableInfoVO save(TableInfoSaveDTO params);

    public TableInfoVO save2Column(TableInfoSave2ColDTO params);

    public TableInfoVO update(TableInfoUpdateDTO params);

    public void updateStatus(TableInfoUpdateStatusDTO params);

    public TableInfoVO update2Column(TableInfoUpdate2ColDTO params);

    public TableInfoVO save2updateColumnBatch(TableInfoUpdate2ColDTO params);

    public TableInfoVO infoById(String id);


    public void delById(String id);


}
