package com.xxh.cloud.metadata.framework.modules.base.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class MetadataCategoryUpdateDTO {


    @ApiModelProperty(value = "id",required = true)
    @NotEmpty(message = "ID不能为空")
    private String id;

    @ApiModelProperty(value = "名称",required = true)
    @NotEmpty(message = "名称不能为空")
    private String name;


    @ApiModelProperty(value = "顺序")
    private Integer orders=1;


    @ApiModelProperty(value = "备注")
    private String remark;
}
