package com.xxh.cloud.metadata.framework.modules.base.entity.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.entity.BasePageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Collection;
import java.util.List;

@Getter
@Setter
public class MetadataInfoQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "项目编号")
    private String projectCode;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "ids")
    private Collection<String> ids;

    @ApiModelProperty(value = "分类ID")
    private String categoryId;

    @ApiModelProperty(value = "业务类型(原始/标准)")
    private String bizType;

    @ApiModelProperty(value = "数据类型")
    private String dataType;

    @ApiModelProperty(value = "标准数据名称")
    private String name;

    @ApiModelProperty(value = "标准数据单位")
    private String unit;





}
