package com.xxh.cloud.metadata.framework.modules.base.entity.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class TableCategorySaveDTO {


    @ApiModelProperty(value = "项目编号")
    private String projectCode;


    @ApiModelProperty(value = "id")
    private String id;


    @ApiModelProperty(value = "名称",required = true)
    @NotEmpty(message = "名称不能为空")
    private String name;


    @ApiModelProperty(value = "上级分类ID",required = true)
    @NotEmpty(message = "上级分类不能为空")
    private String pid;


    @ApiModelProperty(value = "顺序")
    private Integer orders;


    @ApiModelProperty(value = "备注")
    private String remark;


}
