package com.xxh.cloud.metadata.framework.modules.base.entity.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.Date;

@Getter
@Setter
public class TableCategoryUpdateDTO {

    @ApiModelProperty(value = "id" ,required = true)
    @NotEmpty(message = "ID不能为空")
    private String id;


    @ApiModelProperty(value = "名称")
    private String name;


//    @ApiModelProperty(value = "上级分类ID")
//    private String pid;


    @ApiModelProperty(value = "顺序")
    private Integer orders;

    @ApiModelProperty(value = "备注")
    private String remark;




}
