package com.xxh.cloud.metadata.framework.modules.base.entity.dto;

import com.xxh.cloud.framework.common.entity.BasePageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Collection;

@Getter
@Setter
public class TableInfoQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "项目编号")
    private String projectCode;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "ids")
    private Collection<String> ids;

    @ApiModelProperty(value = "表分类id")
    private String categoryId;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "关联业务分类")
    private String relType;

    @ApiModelProperty(value = "关联业务ID")
    private String relId;

    @ApiModelProperty(value = "是否显示字段")
    private boolean isCols=false;

    @ApiModelProperty(value = "状态(YN)")
    private String status;

}
