package com.xxh.cloud.metadata.framework.modules.base.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class TableInfoUpdateDTO {

    @ApiModelProperty(value = "id",required = true)
    @NotEmpty(message = "ID不能为空")
    private String id;


    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "别名")
    private String aliasName;


    @ApiModelProperty(value = "备注")
    private String remark;


    @ApiModelProperty(value = "关联业务分类")
    private String relType;


    @ApiModelProperty(value = "关联业务ID")
    private String relId;


    @ApiModelProperty(value = "顺序")
    private Integer orders;


}
