package com.xxh.cloud.metadata.framework.modules.cache.helper;

import cn.hutool.core.util.StrUtil;

public class MetaDataCacheKeysHelper {


    //==================================
    /**
     * 元数据 缓存主key
     * */
    public static String getMetadataInfoMainKey(){
        return "metadata:info:*";
    }

    /**
     * 元数据 缓存key
     * */
    public static String getMetadataInfoKey(String id){
        return StrUtil.format("metadata:info:{}",id);
    }

    //==================================
    /**
     * 元数据分类  缓存主key
     * */
    public static String getMetadataCategoryMainKey(){
        return "metadata:category:*";
    }


    /**
     * 元数据分类 缓存key
     * */
    public static String getMetadataCategoryKey(String id){
        return StrUtil.format("metadata:category:{}",id);
    }



    //==================================
    /**
     * 表分类 缓存主key
     * */
    public static  String getTableCategoryMainKey(){
        return "table:category:*";
    }

    /**
     * 表分类 缓存key
     * */
    public static  String getTableCategoryKey(String id){
        return StrUtil.format("table:category:{}",id);
    }



    //==================================
    /**
     * 表 缓存主key
     * */
    public static  String getTableMainKey(){
        return "table:info:*";
    }

    /**
     * 表 缓存key
     * */
    public static  String getTableKey(String id){
        return StrUtil.format("table:info:{}",id);
    }








}
