package com.xxh.cloud.metadata.framework.modules.cache.helper;

import cn.hutool.core.util.StrUtil;

public class MetaStandardCacheKeyHelper {



    /**
     * 疾病
     * */
    public static String getStandardDiseaseCacheMainKey(){
        return "md:standard:disease:*";
    }

    public static String getStandardDiseaseCacheKey(String id){
        return StrUtil.format("md:standard:disease:{}",id);
    }

    /**
     * 疾病系统
     * */
    public static String getStandardDiseaseSystemCacheMainKey(){
        return "md:standard:sysDisease:*";
    }

    public static String getStandardDiseaseSystemCacheKey(String id){
        return StrUtil.format("md:standard:sysDisease:{}",id);
    }

    /**
     * 检查项目
     * */
    public static String getStandardExamineProjectCacheMainKey(){
        return "md:standard:examinePro:*";
    }

    public static String getStandardExamineProjectCacheKey(String id){
        return StrUtil.format("md:standard:examinePro:{}",id);
    }

    /**
     * 检验组套
     * */
    public static String getStandardLaboratoryGroupCacheMainKey(){
        return "md:standard:laboratoryGroup:*";
    }

    public static String getStandardLaboratoryGroupCacheKey(String id){
        return StrUtil.format("md:standard:laboratoryGroup:{}",id);
    }


    /**
     * 检验项目
     * */
    public static String getStandardLaboratoryProjectCacheMainKey(){
        return "md:standard:laboratoryProject:*";
    }

    public static String getStandardLaboratoryProjectCacheKey(String id){
        return StrUtil.format("md:standard:laboratoryProject:{}",id);
    }

    /**
     * 检验分类
     * */
    public static String getStandardLaboratoryTypeCacheMainKey(){
        return "md:standard:laboratoryType:*";
    }

    public static String getStandardLaboratoryTypeCacheKey(String id){
        return StrUtil.format("md:standard:laboratoryType:{}",id);
    }


    /**
     * 药品
     * */
    public static String getStandardMedicantCacheMainKey(){
        return "md:standard:medicant:*";
    }

    public static String getStandardMedicantCacheKey(String id){
        return StrUtil.format("md:standard:medicant:{}",id);
    }

    /**
     * 手术
     * */
    public static String getStandardOperationCacheMainKey(){
        return "md:standard:operation:*";
    }

    public static String getStandardOperationCacheKey(String id){
        return StrUtil.format("md:standard:operation:{}",id);
    }

    /**
     * 样本
     * */
    public static String getStandardSampleCacheMainKey(){
        return "md:standard:sample:*";
    }

    public static String getStandardSampleCacheKey(String id){
        return StrUtil.format("md:standard:sample:{}",id);
    }

    /**
     * 治疗
     * */
    public static String getStandardSymptomCacheMainKey(){
        return "md:standard:symptom:*";
    }

    public static String getStandardSymptomCacheKey(String id){
        return StrUtil.format("md:standard:symptom:{}",id);
    }


    /**
     * 单位
     * */
    public static String getStandardUnitCacheMainKey(){
        return "md:standard:unit:*";
    }

    public static String getStandardUnitCacheKey(String id){
        return StrUtil.format("md:standard:unit:{}",id);
    }



    /**
     * 事件
     * */
    public static String getStandardEventCacheMainKey(){
        return "md:standard:event:*";
    }

    public static String getStandardEventCacheKey(String id){
        return StrUtil.format("md:standard:event:{}",id);
    }

    /**
     * 关键字
     * */

    public static String getStandardKeywordsCacheMainKey(){
        return "md:standard:keywords:*";
    }

    public static String getStandardKeywordsCacheKey(String id){
        return StrUtil.format("md:standard:keywords:{}",id);
    }




}
