package com.xxh.cloud.metadata.framework.modules.client.helper;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.CollUtil;
import com.xxh.cloud.metadata.client.api.bean.bos.table.TableBO;
import com.xxh.cloud.metadata.client.api.bean.bos.table.TableColumnBO;
import com.xxh.cloud.metadata.framework.modules.base.entity.vos.TableColumnVO;
import com.xxh.cloud.metadata.framework.modules.base.entity.vos.TableInfoVO;

public class TableClientConvert {

    public static TableBO getTableBO(TableInfoVO entity){
        TableBO data=new TableBO();
        BeanUtil.copyProperties(entity,data,"cols");
        if(CollUtil.isNotEmpty(entity.getCols())){
            entity.getCols().forEach(item->{
                data.addCol(getTableColumnBO(item));
            });
        }
        return data;
    }

    public static TableColumnBO getTableColumnBO(TableColumnVO entity){
        TableColumnBO data=new TableColumnBO();
        BeanUtil.copyProperties(entity,data,"metadata");
        data.setMetadata(entity.getMetadata());
        return data;
    }




}
