package com.xxh.cloud.metadata.framework.modules.script.bean.dto;

import com.xxh.cloud.metadata.framework.modules.script.sql.operate.bean.WhereAndOrBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Getter
@Setter
public class EntityOperateDeleteByWhereDTO {

    @ApiModelProperty(value = "表编号",required = true)
    @NotEmpty(message = "表编号不能为空")
    private String tableCode;


    @ApiModelProperty(value = "删除条件")
    private List<WhereAndOrBean> where;


}
