package com.xxh.cloud.metadata.framework.modules.script.bean.dto;

import com.xxh.cloud.metadata.framework.modules.script.sql.operate.bean.SelectBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Getter
@Setter
public class EntityOperateGetByIdDTO {



    @ApiModelProperty(value = "表编号",required = true)
    @NotEmpty(message = "表编号不能为空")
    private String tableCode;

    @ApiModelProperty(value = "表字段",required = true)
    @NotNull(message = "表字段不能为空")
    private List<SelectBean> select;


    @ApiModelProperty(value = "表数据ID",required = true)
    @NotEmpty(message = "表数据ID不能为空")
    private String id;
}
