package com.xxh.cloud.metadata.framework.modules.script.bean.dto;

import com.xxh.cloud.metadata.framework.modules.script.sql.operate.bean.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Getter
@Setter
public class EntityOperateGetOneDTO {


    @ApiModelProperty(value = "表编号",required = true)
    @NotEmpty(message = "表编号不能为空")
    private String tableCode;

    @ApiModelProperty(value = "表字段",required = true)
    @NotNull(message = "表字段不能为空")
    private List<SelectBean> select;

    @ApiModelProperty(value = "关联")
    private List<JoinBean> join;

    @ApiModelProperty(value = "条件")
    private List<WhereAndOrBean> where;

    @ApiModelProperty(value = "分组")
    private List<GroupByBean> groupBy;

    @ApiModelProperty(value = "分组后条件")
    private List<WhereAndOrBean> having;

    @ApiModelProperty(value = "排序")
    private List<OrderByBean> orderBy;



}
