package com.xxh.cloud.metadata.framework.modules.script.service;

import com.xxh.cloud.metadata.framework.modules.common.constant.enums.MetadataStandardResultTypeEnum;
import com.xxh.cloud.metadata.framework.modules.common.constant.enums.RuleCondtionDataTypeEnum;
import com.xxh.cloud.metadata.framework.modules.script.bean.dto.EntityDDLAlterDTO;
import com.xxh.cloud.metadata.framework.modules.script.bean.dto.EntityDDLClearDataDTO;
import com.xxh.cloud.metadata.framework.modules.script.bean.dto.EntityDDLCreateDTO;
import com.xxh.cloud.metadata.framework.modules.script.bean.dto.EntityDDLDropDTO;

/**
 * data definition language:数据定义语言
 * */
public interface EntityDDLApiService {


    /**
     * 创建
     * */
    public void create(EntityDDLCreateDTO params);

    /**
     * 新增和修改
     * */
    public void alter(EntityDDLAlterDTO params);

    /**
     * 删除
     * */
    public void drop(EntityDDLDropDTO params);

    /**
     * 清空数据
     * */
    public void clearData(EntityDDLClearDataDTO params);





}
