package com.xxh.cloud.metadata.framework.modules.script.sql.ddl.convert;

import com.xxh.cloud.metadata.framework.modules.common.constant.enums.MetadataStandardTypeEnum;

public class MySQLTypeConvert implements ITypeConvert {
    @Override
    public String getDataType(String dataType, int dataTypeSize) {
        if(MetadataStandardTypeEnum.MT_Int.getCode().equals(dataType)){
            return "INT";
        }else if(MetadataStandardTypeEnum.MT_Decimal.getCode().equals(dataType)){
            return "DECIMAL(11,4) ";
        }else if(MetadataStandardTypeEnum.MT_DateTime.getCode().equals(dataType)){
            return "DATETIME";
        }else if(MetadataStandardTypeEnum.MT_Dict.getCode().equals(dataType)){
            return "VARCHAR(64)";
        }else if(MetadataStandardTypeEnum.MT_String.getCode().equals(dataType)){
            return "VARCHAR(256)";
        }else if(MetadataStandardTypeEnum.MT_Text.getCode().equals(dataType)){
            return "VARCHAR(1024)";
        }
        return "VARCHAR(64)";
    }
}
