package com.xxh.cloud.metadata.framework.modules.script.sql.operate;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.framework.common.exception.BusinessException;
import com.xxh.cloud.metadata.framework.modules.script.sql.operate.bean.WhereAndOrBean;

import java.util.ArrayList;
import java.util.List;

public class DeleteSqlWrapper implements ISqlWrapper{


    private String tableName;
    private List<WhereAndOrBean> wheres;



    public DeleteSqlWrapper delete(String tableName){
        this.tableName=tableName;
        return this;
    }

    public DeleteSqlWrapper where(List<WhereAndOrBean> wheres){
        this.wheres=wheres;
        return this;
    }

    public DeleteSqlWrapper where(WhereAndOrBean whereBean){
        if(this.wheres==null){
            this.wheres=new ArrayList<>();
        }
        if(whereBean!=null){
            this.wheres.add(whereBean);
        }
        return this;
    }





    private void check() throws BusinessException {
        if(StrUtil.isEmpty(this.tableName)){
//            throw new BusinessException(BaseReturnEnum.PARAM_NULL.getCode(),"");
        }
        if(CollUtil.isEmpty(this.wheres)){
//            throw new BusinessException(BaseReturnEnum.PARAM_NULL.getCode(),"");
        }

    }




    @Override
    public String getSqlSegment() {
        this.check();
        StringBuilder sql=new StringBuilder();
        sql.append("delete from ").append(this.tableName);
//        sql.append(" where ").append(new WhereWrapper(this.wheres).getSqlSegment());
        return sql.toString();
    }


}
