package com.xxh.cloud.metadata.framework.modules.script.sql.operate.constant;
/**
 * 输入值分类
 * */
public enum ApiInputValTypeEnum {

    StaticWhere("s","静态条件(固定值)"),
    DynamicWhere("d","动态条件(字段)"),
    ConstantWhere("c","常量条件(常量)"),
    InputWhere("i","输入条件(输入)"),
    GenerateWhere("g","生成条件(生成)")



    ;
    private String code;
    private String msg;
    private ApiInputValTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }
    public String getCode() {
        return code;
    }
    public String getMsg() {
        return msg;
    }
}


