package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class StandardDeptSaveDTO {


    @ApiModelProperty(value = "id")
    private String id;


    @ApiModelProperty(value = "名称",required = true)
    @NotEmpty(message = "名称不能为空")
    private String name;

    @ApiModelProperty(value = "父ID",required = true)
    @NotEmpty(message = "父ID不能为空")
    private String pid;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "项目编号")
    private String projectCode;

    @ApiModelProperty(value = "业务部门编号列表")
    private List<String> bizDeptIds;

}
