package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class StandardDiseaseDiagnosisUpdateDTO {

    @ApiModelProperty(value = "项目编号", required = true)
    @NotEmpty(message = "疾病ID[projectCode]不能为空")
    private String projectCode;

    @ApiModelProperty(value = "疾病ID", required = true)
    @NotEmpty(message = "疾病ID[diseaseId]不能为空")
    private String diseaseId;

    @ApiModelProperty(value = "诊断关联类型", required = true)
    @NotEmpty(message = "诊断关联类型[objType]不能为空")
    private String objType;

    @ApiModelProperty(value = "诊断关联名称", required = true)
    @NotEmpty(message = "诊断关联名称[objName]不能为空")
    private String objName;

    @ApiModelProperty(value = "诊断关联ID", required = true)
    @NotEmpty(message = "诊断关联ID[objId]不能为空")
    private String objId;

    @ApiModelProperty(value = "备注")
    private String remark;

}
