package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto;

import com.xxh.cloud.framework.common.entity.BasePageDTO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class StandardDiseaseIcdPageDTO extends BasePageDTO {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id;

    /**
     * 疾病ID
     */
    @ApiModelProperty(value = "疾病ID")
    private String diseaseId;

    /**
     * ICD10编号
     */
    @ApiModelProperty(value = "ICD10编号")
    private String icd10Code;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;

    /**
     * 英文名称
     */
    @ApiModelProperty(value = "英文名称")
    private String enName;

    /**
     * 名称缩写
     */
    @ApiModelProperty(value = "名称缩写")
    private String abbrName;

    /**
     * 项目编号
     */
    @ApiModelProperty(value = "项目编号")
    private String projectCode;

}
