package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class StandardDiseaseListDTO {


    @ApiModelProperty(value = "内部编号")
    private String id;

    @ApiModelProperty(value = "项目编号")
    private String projectCode;

    @ApiModelProperty(value = "对应疾病系统")
    private String systemId;

    @ApiModelProperty(value = "版本号")
    private String versionCode;

    @ApiModelProperty(value = "父ID")
    private String pid;

    @ApiModelProperty(value = "ICD10编号")
    private String icd10Code;

    @ApiModelProperty(value = "关键字")
    private String keywords;

    @ApiModelProperty(value = "状态-显示(YN)")
    private String showStatus;


    @ApiModelProperty(value = "状态-扩展1(YN)")
    private String oneStatus;


    @ApiModelProperty(value = "状态-扩展2(YN)")
    private String twoStatus;

    @ApiModelProperty(value = "是否显示子节点标记(YN)")
    private String isShowChildFlag;


    @ApiModelProperty(value = "疾病类型")
    private String diseaseType;

    @ApiModelProperty(value = "是否需要手术治疗")
    private String operationYn;

    @ApiModelProperty(value = "是否需要住院治疗")
    private String inHospitalYn;

    @ApiModelProperty(value = "是否需要复诊")
    private String followUpYn;


}
