package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class StandardExamineProjectSaveDTO {

    @ApiModelProperty(value = "内部编码")
    private String id;

    @ApiModelProperty(value = "名称",required = true)
    @NotEmpty(message = "名称不能为空")
    private String name;

    @ApiModelProperty(value = "别名")
    private String aliasName;

    @ApiModelProperty(value = "分类")
    private String type;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "项目编号")
    private String projectCode;

    @ApiModelProperty(value = "版本号")
    private String versionCode;


}
