package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class StandardKeywordsRunDTO {

    @ApiModelProperty(value = "数据内容",required = true)
    @NotEmpty(message = "数据内容不能为空")
    private String content;

    @ApiModelProperty(value = "正则表达式",required = true)
    @NotEmpty(message = "正则表达式不能为空")
    private String regExp;
}
