package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto;

import com.xxh.cloud.framework.common.entity.BasePageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class StandardMedicantDrugRelQueryDTO extends BasePageDTO {



    @ApiModelProperty(value = "项目编号")
    private String projectCode;

    @ApiModelProperty(value = "内部编号")
    private String id;

    @ApiModelProperty(value = "ids")
    private List<String> ids;

    /**
     * 药品ID
     */
    @ApiModelProperty(value = "药品ID")
    private String medicantId;

    /**
     * 院内药品编号
     */
    @ApiModelProperty(value = "院内药品编号")
    private String drugId;


}
