package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class StandardOperationUpdateDTO {



    @ApiModelProperty(value = "内部编码",required = true)
    @NotEmpty(message = "内部编码不能为空")
    private String id;

    @ApiModelProperty(value = "手术名称",required = true)
    @NotEmpty(message = "手术名称不能为空")
    private String name;


    @ApiModelProperty(value = "手术部位")
    private String part;

    @ApiModelProperty(value = "是否医保(YN)")
    private String medicalInsurance;

    @ApiModelProperty(value = "费用")
    private String fee;

    @ApiModelProperty(value = "难度")
    private String difficulty;


    @ApiModelProperty(value = "后遗症")
    private String sequela;


    @ApiModelProperty(value = "备注")
    private String remark;


}
