package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos;

import java.util.List;

import com.xxh.cloud.framework.common.tree.TreeNode;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.ro.StandardSysDeptRO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class StandardDeptVO extends TreeNode<StandardDeptVO> {

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "关联业务部门")
    private List<StandardSysDeptRO> relDeptList;

}
