package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class StandardDiseaseSystemVO {



    @ApiModelProperty(value = "内部编号")
    private String id;

    @ApiModelProperty(value = "疾病系统名称")
    private String name;

    @ApiModelProperty(value = "疾病系统别名")
    private String aliasName;

    @ApiModelProperty(value = "疾病系统名称英文")
    private String enName;

    @ApiModelProperty(value = "疾病系统名称缩写")
    private String abbrName;

    @ApiModelProperty(value = "备注")
    private String remark;


    @ApiModelProperty(value = "项目编号")
    private String projectCode;


    @ApiModelProperty(value = "版本号")
    private String versionCode;


     @ApiModelProperty(value = "创建者")
     private String creator;


     @ApiModelProperty(value = "创建时间")
     private Date createDate;


     @ApiModelProperty(value = "更新者")
     private String updater;


     @ApiModelProperty(value = "更新时间")
     private Date updateDate;

     //===========================



}
