package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class StandardExamineNameVO {



    /**
     * 内部编码
     */
    @ApiModelProperty(value = "内部编码")
    private String id;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 项目编号
     */
    @ApiModelProperty(value = "项目编号")
    private String projectCode;

    /**
     * 版本号
     */
    @ApiModelProperty(value = "版本号")
    private String versionCode;


    @ApiModelProperty(value = "创建者")
    private String creator;

    @ApiModelProperty(value = "创建时间")
    private Date createDate;

    @ApiModelProperty(value = "更新者")
    private String updater;

    @ApiModelProperty(value = "更新时间")
    private Date updateDate;


}
