package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class StandardFeeProjectVO {




    @ApiModelProperty(value = "id")
    private String id;


    @ApiModelProperty(value = "项目编号")
    private String projectCode;


    @ApiModelProperty(value = "版本号")
    private String versionCode;


    @ApiModelProperty(value = "收费类型")
    private String type;


    @ApiModelProperty(value = "收费名称")
    private String name;


    @ApiModelProperty(value = "收费金额")
    private BigDecimal fund;


    @ApiModelProperty(value = "说明")
    private String remark;

    @ApiModelProperty(value = "收费组套ID")
    private String groupId;

    @ApiModelProperty(value = "收费组套名称")
    private String groupName;


}
