package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos;

import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
public class StandardKeywordsTypeVO {

    private String code;

    private String name;

    private List<StandardKeywordsTypeVO> child;


    public StandardKeywordsTypeVO(String code,String name){
        this.code=code;
        this.name=name;
    }

    public StandardKeywordsTypeVO(){

    }

    public void addChild(StandardKeywordsTypeVO item){
        if(this.child==null){
            this.child=new ArrayList<>();
        }
        if(item!=null){
            this.child.add(item);
        }
    }


//    public static void main(String[] args) {
//        List<StandardKeywordsTypeVO> data=new ArrayList<>();
//
//        StandardKeywordsTypeVO one=new StandardKeywordsTypeVO("检查报告","检查报告");
//
//        StandardKeywordsTypeVO one1=new StandardKeywordsTypeVO("心电图","心电图");
//        one1.addChild(new StandardKeywordsTypeVO("报告提示","报告提示"));
//        one1.addChild(new StandardKeywordsTypeVO("报告所见","报告所见"));
//
//        StandardKeywordsTypeVO one2=new StandardKeywordsTypeVO("X线","X线");
//        one2.addChild(new StandardKeywordsTypeVO("报告提示","报告提示"));
//        one2.addChild(new StandardKeywordsTypeVO("报告所见","报告所见"));
//
//        StandardKeywordsTypeVO one3=new StandardKeywordsTypeVO("CT","CT");
//        one3.addChild(new StandardKeywordsTypeVO("报告提示","报告提示"));
//        one3.addChild(new StandardKeywordsTypeVO("报告所见","报告所见"));
//
//        one.addChild(one1);
//        one.addChild(one2);
//        one.addChild(one3);
//
//        StandardKeywordsTypeVO two=new StandardKeywordsTypeVO("病理报告","病理报告");
//
//
//        StandardKeywordsTypeVO three=new StandardKeywordsTypeVO("出院","出院");
//        three.addChild(new StandardKeywordsTypeVO("主诊断","主诊断"));
//        three.addChild(new StandardKeywordsTypeVO("预诊断","预诊断"));
//
//        StandardKeywordsTypeVO four=new StandardKeywordsTypeVO("出院小结","出院小结");
//
//        data.add(one);
//        data.add(two);
//        data.add(three);
//        data.add(four);
//
//        System.out.println(JSON.toJSONString(data));
//    }


}
