package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;

@Getter
@Setter
public class StandardMedicantDrugRelVO extends BaseEntity {

    @ApiModelProperty(value = "内部编号")
    private String id;

    /**
     * 药品ID
     */
    @ApiModelProperty(value = "药品ID")
    private String medicantId;

    /**
     * 院内药品编号
     */
    @ApiModelProperty(value = "院内药品编号")
    private String drugId;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 项目编号
     */
    @ApiModelProperty(value = "项目编号")
    private String projectCode;

    
    @ApiModelProperty(value = "药品信息")
    private StandardMedicantVO standardMedicantInfo;

}
