package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class StandardOperationVO {


    @ApiModelProperty(value = "内部编码")
    private String id;

    @ApiModelProperty(value = "手术名称")
    private String name;

    @ApiModelProperty(value = "手术部位")
    private String part;

    @ApiModelProperty(value = "是否医保")
    private String medicalInsurance;

    @ApiModelProperty(value = "费用")
    private String fee;

    @ApiModelProperty(value = "难度")
    private String difficulty;


    @ApiModelProperty(value = "后遗症")
    private String sequela;


    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "项目编号")
    private String projectCode;

    @ApiModelProperty(value = "版本号")
    private String versionCode;

    @ApiModelProperty(value = "创建者")
    private String creator;

    @ApiModelProperty(value = "创建时间")
    private Date createDate;

    @ApiModelProperty(value = "更新者")
    private String updater;

    @ApiModelProperty(value = "更新时间")
    private Date updateDate;


}
