package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos;

import com.xxh.cloud.framework.common.tree.TreeNode;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class StandardSymptomVO extends TreeNode<StandardSymptomVO> {


    @ApiModelProperty(value = "症状名称")
    private String name;


    @ApiModelProperty(value = "症状系统")
    private String type;


    @ApiModelProperty(value = "是否紧急")
    private String urgent;



    @ApiModelProperty(value = "备注")
    private String remark;


    @ApiModelProperty(value = "项目编号")
    private String projectCode;

    @ApiModelProperty(value = "版本号")
    private String versionCode;

    @ApiModelProperty(value = "创建者")
    private String creator;

    @ApiModelProperty(value = "创建时间")
    private Date createDate;

    @ApiModelProperty(value = "更新者")
    private String updater;

    @ApiModelProperty(value = "更新时间")
    private Date updateDate;


    //================================

    @ApiModelProperty(value = "是否有子节点")
    private String isChildFlag;

    @ApiModelProperty(value = "子节点数量")
    private Integer childNum;

    @ApiModelProperty(value = "创建者(姓名)")
    private String creatorName;

    @ApiModelProperty(value = "更新者(姓名)")
    private String updaterName;


}
