package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class StandardUnitVO {


    @ApiModelProperty(value = "内部编号")
    private String id;


    @ApiModelProperty(value = "单位名称")
    private String name;


    @ApiModelProperty(value = "单位解释")
    private String remark;


    @ApiModelProperty(value = "清洗匹配规则")
    private String ruleConfig;


    @ApiModelProperty(value = "项目编号")
    private String projectCode;

    @ApiModelProperty(value = "版本号")
    private String versionCode;

    @ApiModelProperty(value = "创建者")
    private String creator;

    @ApiModelProperty(value = "创建时间")
    private Date createDate;

    @ApiModelProperty(value = "更新者")
    private String updater;

    @ApiModelProperty(value = "更新时间")
    private Date updateDate;


}
