package com.xxh.cloud.metadata.framework.modules.standardBiz.biz;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardLaboratoryGroupListDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardLaboratoryGroupQueryDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardLaboratoryGroupSaveDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardLaboratoryGroupUpdateDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos.StandardLaboratoryGroupVO;
import com.xxh.cloud.metadata.framework.modules.standard.entity.StandardLaboratoryGroupInfo;

import java.util.List;

public interface StandardLaboratoryGroupBizService {


    public PageData<StandardLaboratoryGroupVO> query(StandardLaboratoryGroupQueryDTO params);

    public IPage<StandardLaboratoryGroupInfo> queryStandardLaboratoryGroup(StandardLaboratoryGroupQueryDTO params);

    public List<StandardLaboratoryGroupVO> list(StandardLaboratoryGroupListDTO params);

    public StandardLaboratoryGroupVO save(StandardLaboratoryGroupSaveDTO params);

    public StandardLaboratoryGroupVO update(StandardLaboratoryGroupUpdateDTO params);

    public void delById(String id);

    public StandardLaboratoryGroupVO getById(String id);

}
