package com.xxh.cloud.metadata.framework.modules.standardBiz.biz;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardMedicantListDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardMedicantQueryDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardMedicantSaveDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardMedicantUpdateDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos.StandardMedicantVO;
import com.xxh.cloud.metadata.framework.modules.standard.entity.StandardMedicantInfo;

import java.util.List;

public interface StandardMedicantBizService {


    public IPage<StandardMedicantInfo> queryStandardMedicant(StandardMedicantQueryDTO params);

    public PageData<StandardMedicantVO> query(StandardMedicantQueryDTO params);

    public List<StandardMedicantVO> list(StandardMedicantListDTO params);

    public StandardMedicantVO save(StandardMedicantSaveDTO params);

    public StandardMedicantVO update(StandardMedicantUpdateDTO params);

    public void delById(String id);
    public StandardMedicantVO getById(String id);
}
