package com.xxh.cloud.metadata.framework.modules.standardBiz.biz;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardMedicantDrugRelListDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardMedicantDrugRelQueryDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardMedicantDrugRelSaveDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardMedicantDrugRelUpdateDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos.StandardMedicantDrugRelVO;
import com.xxh.cloud.metadata.framework.modules.standard.entity.StandardMedicantDrugRel;

import java.util.List;

public interface StandardMedicantDrugRelBizService {


    public IPage<StandardMedicantDrugRel> queryStandardMedicantDrugRel(StandardMedicantDrugRelQueryDTO params);

    public PageData<StandardMedicantDrugRelVO> query(StandardMedicantDrugRelQueryDTO params);

    public List<StandardMedicantDrugRelVO> list(StandardMedicantDrugRelListDTO params);

    public StandardMedicantDrugRelVO save(StandardMedicantDrugRelSaveDTO params);

    public StandardMedicantDrugRelVO update(StandardMedicantDrugRelUpdateDTO params);

    public void delById(String id);
    public StandardMedicantDrugRelVO getById(String id);
}
