package com.xxh.cloud.metadata.framework.modules.standardBiz.biz;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardOperationListDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardOperationQueryDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardOperationSaveDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardOperationUpdateDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos.StandardOperationVO;
import com.xxh.cloud.metadata.framework.modules.standard.entity.StandardOperationInfo;

import java.util.List;

public interface StandardOperationBizService {


    public PageData<StandardOperationVO> query(StandardOperationQueryDTO params);

    public IPage<StandardOperationInfo> queryStandardOperation(StandardOperationQueryDTO params);

    public List<StandardOperationVO> list(StandardOperationListDTO params);

    public StandardOperationVO save(StandardOperationSaveDTO params);

    public StandardOperationVO update(StandardOperationUpdateDTO params);

    public StandardOperationVO getById(String id);

    public void delById(String id);

}
