package com.xxh.cloud.metadata.framework.modules.standardBiz.biz;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardPathologyProjectListDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardPathologyProjectQueryDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardPathologyProjectSaveDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardPathologyProjectUpdateDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos.StandardPathologyProjectVO;
import com.xxh.cloud.metadata.framework.modules.standard.entity.StandardPathologyProjectInfo;

import java.util.List;

/**
 * 标准病理项目
 * */
public interface StandardPathologyProjectBizService {



    public IPage<StandardPathologyProjectInfo> queryStandardPathologyProject(StandardPathologyProjectQueryDTO params);

    public PageData<StandardPathologyProjectVO> query(StandardPathologyProjectQueryDTO params);

    public List<StandardPathologyProjectVO> list(StandardPathologyProjectListDTO params);

    public StandardPathologyProjectVO save(StandardPathologyProjectSaveDTO params);

    public StandardPathologyProjectVO update(StandardPathologyProjectUpdateDTO params);

    public StandardPathologyProjectVO getById(String id);

    public void delById(String id);
}
