package com.xxh.cloud.metadata.framework.modules.standardBiz.biz;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardSampleListDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardSampleQueryDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardSampleSaveDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardSampleUpdateDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos.StandardSampleVO;

import java.util.List;

public interface StandardSampleBizService {


    public PageData<StandardSampleVO> query(StandardSampleQueryDTO params);

    public List<StandardSampleVO> list(StandardSampleListDTO params);

    public StandardSampleVO save(StandardSampleSaveDTO params);

    public StandardSampleVO update(StandardSampleUpdateDTO params);

    public StandardSampleVO getById(String id);

    public void delById(String id);
}
