package com.xxh.cloud.metadata.framework.modules.standardBiz.biz;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardSourceListDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardSourceQueryDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardSourceSaveDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardSourceUpdateDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos.StandardSourceVO;

import java.util.List;

public interface StandardSourceBizService {


    public PageData<StandardSourceVO> query(StandardSourceQueryDTO params);

    public List<StandardSourceVO> list(StandardSourceListDTO params);

    public StandardSourceVO save(StandardSourceSaveDTO params);

    public StandardSourceVO update(StandardSourceUpdateDTO params);

    public void delById(String id);

    public StandardSourceVO getById(String id);


    public void h1();


}
