package com.xxh.cloud.metadata.framework.modules.standardBiz.biz;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.*;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos.StandardSymptomVO;
import com.xxh.cloud.metadata.framework.modules.standard.entity.StandardSymptomInfo;

import java.util.List;

public interface StandardSymptomBizService {


    public IPage<StandardSymptomInfo> queryStandardSymptom(StandardSymptomQueryDTO params);

    public PageData<StandardSymptomVO> query(StandardSymptomQueryDTO params);

    public List<StandardSymptomVO> tree(StandardSymptomTreeDTO params);

    public List<StandardSymptomVO> list(StandardSymptomListDTO params);

    public StandardSymptomVO save(StandardSymptomSaveDTO params);

    public StandardSymptomVO update(StandardSymptomUpdateDTO params);
    public StandardSymptomVO getById(String id);

    public void delById(String id);
}
