package com.xxh.cloud.metadata.framework.modules.standardBiz.biz;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardUnitListDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardUnitQueryDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardUnitSaveDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardUnitUpdateDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos.StandardUnitVO;

import java.util.List;

public interface StandardUnitBizService {


    public PageData<StandardUnitVO> query(StandardUnitQueryDTO params);

    public List<StandardUnitVO> list(StandardUnitListDTO params);

    public StandardUnitVO save(StandardUnitSaveDTO params);

    public StandardUnitVO update(StandardUnitUpdateDTO params);

    public void delById(String id);

    public StandardUnitVO getById(String id);
}
