package com.xxh.cloud.metadata.framework.modules.tableData.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class EntityCreate2AlterByTableDTO {

    @ApiModelProperty(value = "数据源分类",required = true)
    @NotEmpty(message = "数据源分类不能为空")
    private String dataSourceType;


    @ApiModelProperty(value = "库编号",required = true)
    @NotEmpty(message = "库编号不能为空")
    private String database;


    @ApiModelProperty(value = "表编号",required = true)
    @NotEmpty(message = "表编号不能为空")
    private String tableCode;

    @ApiModelProperty(value = "表名称",required = true)
    @NotEmpty(message = "表名称不能为空")
    private String tableName;


    public EntityCreate2AlterByTableDTO(String dataSourceType,String database,String tableCode,String tableName){
        this.dataSourceType=dataSourceType;
        this.database=database;
        this.tableCode=tableCode;
        this.tableName=tableName;
    }


    public EntityCreate2AlterByTableDTO(){

    }





}
