package com.xxh.cloud.metadata.framework.modules.tableData.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Getter
@Setter
public class TableDataCondtionDTO {

    @ApiModelProperty(value = "属性",required = true)
    @NotEmpty(message = "属性不能为空")
    private String propCode;

    @ApiModelProperty(value = "操作符",required = true)
    private String op;

    @ApiModelProperty(value = "值1")
    private String val;

    @ApiModelProperty(value = "值2")
    private String val2;

    @ApiModelProperty(value = "多值")
    private List<String> vals;


}
