package com.xxh.cloud.metadata.framework.modules.tableData.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class TableDataGetDTO {

    @ApiModelProperty(value = "表编号",required = true)
    @NotEmpty(message = "表编号不能为空")
    private String tableId;

    @ApiModelProperty(value = "数据ID",required = true)
    @NotEmpty(message = "数据ID不能为空")
    private String id;

}
