package com.xxh.cloud.metadata.framework.modules.tableData.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class TableDataListByTableCategoryDTO {

    @ApiModelProperty(value = "表分类id",required = true)
    @NotEmpty(message = "表分类不能未空")
    private String categoryId;

    @ApiModelProperty(value = "项目编号")
    private String projectCode;

    @ApiModelProperty(value = "对象分类")
    private String objectType;

    @ApiModelProperty(value = "对象ID")
    private String objectId;



}
