package com.xxh.cloud.metadata.framework.modules.tableData.bean.vos;

import com.xxh.cloud.metadata.framework.modules.base.entity.vos.TableColumnVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class TableDataOne2TableVO {


    @ApiModelProperty(value = "表编号")
    private String tableId;

    @ApiModelProperty(value = "表字段")
    private List<TableColumnVO> tableCols;

    @ApiModelProperty(value = "表分类ID")
    private String tableCategoryId;

    @ApiModelProperty(value = "表名称")
    private String tableName;

    @ApiModelProperty(value = "表别名")
    private String tableAliasName;

    @ApiModelProperty(value = "表数据")
    private TableDataVO data;


}
