package com.xxh.cloud.metadata.framework.modules.tableData.bean.vos;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.Map;

@Getter
@Setter
public class TableDataVO {


    @ApiModelProperty(value = "数据ID")
    private String id;

    @ApiModelProperty(value = "表数据")
    private Map<String, Object> data;

    @ApiModelProperty(value = "创建者")
    private String creator;

    @ApiModelProperty(value = "创建时间")
    private Date createDate;

    @ApiModelProperty(value = "更新者")
    private String updater;

    @ApiModelProperty(value = "更新时间")
    private Date updateDate;

    @ApiModelProperty(value = "项目编号")
    private String projectCode;

    @ApiModelProperty(value = "版本号")
    private String versionCode;

    //==================================

    @ApiModelProperty(value = "创建者")
    private String creatorName;

    @ApiModelProperty(value = "更新者")
    private String updaterName;

}
