package com.xxh.cloud.metadata.client.api.bean.bos.meta;

import com.xxh.cloud.metadata.client.api.bean.bos.metadata.MetadataStandardValueDicModel;
import com.xxh.cloud.metadata.client.api.bean.bos.metadata.MetadataStandardValueNumModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.Map;

@Getter
@Setter
public class MetadataBO {


    /**
     * ID
     * */
    private String id;

    /**
     * 分类ID
     * */
    private String categoryId;


    /**
     * 业务类型(原始/标准)
     * */
    private String bizType;


    /**
     *  标准数据名称
     * */
    private String name;


    /**
     * 标准数据类型
     * */
    private String dataType;



    /**
     * 标准数据内容类型
     * */
    private String dataContentType;

    /**
     * 标准数据单位
     * */
    private String unit;

    /**
     * 标准数据值配置
     * */
    private Map<String,Object> valConfig;


    /**
     * 标准数据备注
     * */
    private String remark;

    /**
     * 顺序
     * */
    private Integer orders;

    /**
     * 创建者
     * */
    private String creator;

    /**
     * 创建时间
     * */
    private Date createDate;

    /**
     * 更新者
     * */
    private String updater;

    /**
     * 更新时间
     * */
    private Date updateDate;


    /**
     * 分类名称
     * */
    private String categoryName;




}
