package com.xxh.cloud.metadata.client.api.bean.bos.table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;


@Getter
@Setter
public class TableBO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "表分类id")
    private String categoryId;


    @ApiModelProperty(value = "名称")
    private String name;


    @ApiModelProperty(value = "备注")
    private String remark;


    @ApiModelProperty(value = "关联业务分类")
    private String relType;


    @ApiModelProperty(value = "关联业务ID")
    private String relId;


    @ApiModelProperty(value = "顺序")
    private Integer orders;


    @ApiModelProperty(value = "创建者")
    private String creator;

    @ApiModelProperty(value = "创建时间")
    private Date createDate;

    @ApiModelProperty(value = "更新者")
    private String updater;

    @ApiModelProperty(value = "更新时间")
    private Date updateDate;

    //=====================================================

    @ApiModelProperty(value = "表分类名称")
    private String categoryName;

    @ApiModelProperty(value = "表字段")
    private List<TableColumnBO> cols;

    public void addCol(TableColumnBO item){
        if(this.cols==null){
            this.cols=new ArrayList<>();
        }
        if(item!=null){
            this.cols.add(item);
        }
    }


}
