package com.xxh.cloud.metadata.framework.modules.base.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 表模型表
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("md_table_info")
public class TableInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
     @TableId(value = "id", type = IdType.INPUT)
      private String id;

    @ApiModelProperty(value = "项目编号")
    private String projectCode;

    /**
     * 表分类id
     */
     @ApiModelProperty(value = "表分类id")
      private String categoryId;

    /**
     * 名称
     */
     @ApiModelProperty(value = "名称")
      private String name;

    @ApiModelProperty(value = "别名")
     private String aliasName;


    /**
     * 备注
     */
     @ApiModelProperty(value = "备注")
      private String remark;

    /**
     * 关联业务分类
     */
     @ApiModelProperty(value = "关联业务分类")
      private String relType;

    /**
     * 关联业务ID
     */
     @ApiModelProperty(value = "关联业务ID")
      private String relId;

    /**
     * 顺序
     */
     @ApiModelProperty(value = "顺序")
      private Integer orders;


    @ApiModelProperty(value = "状态")
     private String status;


     @ApiModelProperty(value = "逻辑删除标记(Y:正常,N:删除)")
      private String rowsStatus;


}
