package com.xxh.cloud.metadata.framework.modules.base.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Map;

@Getter
@Setter
public class TableColumnInfoOpDTO {


    @ApiModelProperty(value = "字段编号")
    private String code;


    @ApiModelProperty(value = "字段名称")
    private String name;


    @ApiModelProperty(value = "字段类型")
    private String type;


    @ApiModelProperty(value = "字段分组编号")
    private String groupCode;


    @ApiModelProperty(value = "字段分组名称")
    private String groupName;


    @ApiModelProperty(value = "字段配置")
    private Map<String,Object> config;

    @ApiModelProperty(value = "标准数据ID")
    private String metadataId;


    @ApiModelProperty(value = "备注")
    private String remark;


    @ApiModelProperty(value = "顺序")
    private Integer orders;



}
