package com.xxh.cloud.metadata.framework.modules.base.entity.vos;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Getter
@Setter
public class TableInfoVO {


    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "项目编号")
    private String projectCode;


    @ApiModelProperty(value = "表分类id")
    private String categoryId;


    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "别名")
    private String aliasName;

    @ApiModelProperty(value = "备注")
    private String remark;


    @ApiModelProperty(value = "关联业务分类")
    private String relType;


    @ApiModelProperty(value = "关联业务ID")
    private String relId;


    @ApiModelProperty(value = "顺序")
    private Integer orders;


    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "创建者")
    private String creator;

    @ApiModelProperty(value = "创建时间")
    private Date createDate;

    @ApiModelProperty(value = "更新者")
    private String updater;

    @ApiModelProperty(value = "更新时间")
    private Date updateDate;

    //=====================================================

    @ApiModelProperty(value = "表分类名称")
    private String categoryName;


    @ApiModelProperty(value = "创建用户名")
    private String creatorUserName;

    @ApiModelProperty(value = "修改用户名")
    private String updaterUserName;

    @ApiModelProperty(value = "创建用户真实名称")
    private String creatorRealName;

    @ApiModelProperty(value = "修改用户真实名称")
    private String updaterRealName;

    @ApiModelProperty(value = "项目名称")
    private String projectName;

    @ApiModelProperty(value = "表字段")
    private List<TableColumnVO> cols;

    public void addCol(TableColumnVO item){
        if(this.cols==null){
            this.cols=new ArrayList<>();
        }
        if(item!=null){
            this.cols.add(item);
        }
    }

}
