package com.xxh.cloud.metadata.framework.modules.constant;

import com.xxh.cloud.metadata.framework.modules.common.constant.enums.MetadataStandardTypeEnum;

public enum TableBaseEnum {

    ID("id","id",MetadataStandardTypeEnum.MT_String,true),

    ObjectId("object_id","对象ID",MetadataStandardTypeEnum.MT_String,false),

    ObjectType("object_type","对象分类",MetadataStandardTypeEnum.MT_String,false),

    ProjectCode("project_code","项目编号",MetadataStandardTypeEnum.MT_String,false),
    VersionCode("version_code","版本号",MetadataStandardTypeEnum.MT_String,false),
    Creator("creator","创建者",MetadataStandardTypeEnum.MT_String,false),
    CreateDate("create_date","创建时间",MetadataStandardTypeEnum.MT_DateTime,false),
    Updater("updater","更新者",MetadataStandardTypeEnum.MT_String,false),
    UpdateDate("update_date","更新时间",MetadataStandardTypeEnum.MT_DateTime,false),


    ;
    private String code;
    private String name;

    private MetadataStandardTypeEnum type;

    private boolean priKey;

    private TableBaseEnum(String code, String name, MetadataStandardTypeEnum type,boolean priKey) {
        this.code = code;
        this.name = name;
        this.type=type;
        this.priKey=priKey;
    }

    public String getCode() {
        return code;
    }
    public String getName() {
        return name;
    }
    public boolean getPriKey() {
        return priKey;
    }
    public MetadataStandardTypeEnum getType() {
        return type;
    }


}
