package com.xxh.cloud.metadata.framework.modules.script.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class EntityDDLDropDTO {

    @ApiModelProperty(value = "数据源分类",required = true)
    @NotEmpty(message = "数据源分类不能为空")
    private String dataSourceType;


    @ApiModelProperty(value = "表编号",required = true)
    @NotEmpty(message = "表编号不能为空")
    private String tableCode;
}
