package com.xxh.cloud.metadata.framework.modules.script.convert;

import com.xxh.cloud.framework.common.constant.DataSourceTypeEnum;
import com.xxh.cloud.framework.common.exception.BusinessBaseErrorEnum;
import com.xxh.cloud.framework.common.exception.BusinessException;

public class DTConvertFactory {

    public static TypeConvertApi getConvertTypeFactory(DataSourceTypeEnum dataSourceType){
        if(DataSourceTypeEnum.MySQL == dataSourceType){
            return new MyTypeConvertApi();
        }
        throw new BusinessException(BusinessBaseErrorEnum.DataSource_Config_ERROR);
    }





}
