package com.xxh.cloud.metadata.framework.modules.script.service;

import com.xxh.cloud.framework.common.constant.DataSourceTypeEnum;
import com.xxh.cloud.metadata.framework.modules.script.bean.vos.TableEntityPropertyVO;
import com.xxh.cloud.metadata.framework.modules.script.bean.vos.TableEntityVO;

import java.util.List;

public interface EntitySchemaApiService {


    /**
     * 获取表定义列表
     * */
    public List<TableEntityVO> getTableList(DataSourceTypeEnum dataSourceType, String database);

    /**
     * 获取表定义列表
     * */
    public List<TableEntityVO> getTableLikeList(DataSourceTypeEnum dataSourceType, String database,String likeTableCode);

    /**
     * 获取表定义信息
     * */
    public TableEntityVO getTableInfo(DataSourceTypeEnum dataSourceType, String database, String tableCode);

    /**
     * 获取表列表定义列表
     * */
    public List<TableEntityPropertyVO> getTableColumns(DataSourceTypeEnum dataSourceType, String database, String tableCode);




}
