package com.xxh.cloud.metadata.framework.modules.script.sql.operate.bean;

import com.xxh.cloud.metadata.framework.modules.common.constant.enums.MetadataStandardTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class InsertBean {

    @ApiModelProperty(value = "数据模型属性")
    private String p;

    @ApiModelProperty(value = "数据模型属性数据类型")
    private String t;

    @ApiModelProperty(value = "值")
    private String v;


    public InsertBean(String p, MetadataStandardTypeEnum t, String v){
        this.p=p;
        this.t=t.getCode();
        this.v=v;
    }

    public InsertBean(String p,String t,String v){
        this.p=p;
        this.t=t;
        this.v=v;
    }

    public InsertBean(){

    }


}
