package com.xxh.cloud.metadata.framework.modules.script.sql.operate.bean;

import com.xxh.cloud.metadata.framework.modules.script.sql.operate.constant.JoinTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class JoinBean {

    @ApiModelProperty(value = "关联方式")
    private String w= JoinTypeEnum.Inner.getCode();

    @ApiModelProperty(value = "关联数据模型")
    private String d;

    @ApiModelProperty(value = "关联条件")
    private List<WhereAndOrBean> on;

    public JoinBean(String w,String d,List<WhereAndOrBean> on){
        this.w=w;
        this.d=d;
        this.on=on;
    }

    public JoinBean(){

    }



}
