package com.xxh.cloud.metadata.framework.modules.script.sql.operate.script;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.metadata.framework.modules.script.sql.operate.ISqlWrapper;
import com.xxh.cloud.metadata.framework.modules.script.sql.operate.bean.GroupByBean;

import java.util.List;

public class GroupByWrapper implements ISqlWrapper {


    private List<GroupByBean> groupBy;

    public GroupByWrapper(List<GroupByBean> groupBy){
        this.groupBy=groupBy;
    }


    @Override
    public String getSqlSegment() {
        StringBuilder sql=new StringBuilder();
        if(CollUtil.isNotEmpty(this.groupBy)){
            boolean isOne=true;
            for(GroupByBean gbb:this.groupBy){
                if(isOne){
                    isOne=false;
                    if(StrUtil.isEmpty(gbb.getD())){
                        sql.append(" group by ").append(gbb.getP());
                    }else {
                        sql.append(" group by ").append(gbb.getD()).append(".").append(gbb.getP());
                    }

                }else{
                    if(StrUtil.isEmpty(gbb.getD())){
                        sql.append(" , ").append(gbb.getP());
                    }else {
                        sql.append(" , ").append(gbb.getD()).append(".").append(gbb.getP());
                    }
                }
            }
        }
        return sql.toString();
    }


}
