package com.xxh.cloud.metadata.framework.modules.script.sql.operate.script;

import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.framework.common.utils.StrSqlUtils;
import com.xxh.cloud.metadata.framework.modules.common.constant.enums.MetadataStandardTypeEnum;

import java.util.ArrayList;
import java.util.List;

public class SqlConvertByType {

    public static String convert(String type ,String val){
        if(MetadataStandardTypeEnum.MT_Dict.getCode().equals(type)){
            return StrUtil.format("'{}'",val);
        }
        if(MetadataStandardTypeEnum.MT_String.getCode().equals(type)){
            return StrUtil.format("'{}'",val);
        }
        if(MetadataStandardTypeEnum.MT_Text.equals(type)){
            return StrUtil.format("'{}'",val);
        }
        if(MetadataStandardTypeEnum.MT_DateTime.getCode().equals(type)){
            return StrUtil.format("'{}'",val);
        }
        if(MetadataStandardTypeEnum.MT_Int.getCode().equals(type)){
            return val;
        }
        if(MetadataStandardTypeEnum.MT_Decimal.getCode().equals(type)){
            return val;
        }

        System.out.println(StrUtil.format("+++++++无匹配的类型.type={} ,val ={}",type,val));
        return StrUtil.format("'{}'",val);
    }


    public static String convertLike(String type ,String val){
        return StrUtil.format("'%{}%'",val);
    }


    public static String convertIn(String type , List<String> vs){
        List<String> vals=new ArrayList<>();
        vs.forEach(item->{
            vals.add(SqlConvertByType.convert(type,item));
        });
        return  StrSqlUtils.in_original(vals);
    }



}
