package com.xxh.cloud.metadata.framework.modules.standard.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 标准检验组套和项目关系表
 * </p>
 */
@Data
//@EqualsAndHashCode(callSuper = true)
@TableName("s_md_standard_laboratory_relation_info")
public class StandardLaboratoryRelationInfo{

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 检验组套ID
     */
     @ApiModelProperty(value = "检验组套ID")
      private String groupId;

    /**
     * 检验项目ID
     */
     @ApiModelProperty(value = "检验项目ID")
      private String projectId;


}
