package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class StandardDeptBizRelUpdateDTO {

    @ApiModelProperty(value = "id", required = true)
    @NotEmpty(message = "ID不能为空")
    private String id;

    @ApiModelProperty(value = "标准部门编号")
    private String deptId;

    @ApiModelProperty(value = "业务部门编号")
    private String bizDeptId;

    @ApiModelProperty(value = "项目编号")
    private String projectCode;

}
