package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto;

import java.util.List;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class StandardDiseaseSaveFullDTO {

    
    @ApiModelProperty(value = "疾病信息", required = true)
    @NotNull(message = "疾病信息[diseaseAddList]不能为空")
    private StandardDiseaseSaveDTO diseaseInfo;

    @ApiModelProperty(value = "标准诊断(疾病)关联诊断依据")
    private List<StandardDiseaseDiagnosisAddBatchItem> diagnosisAddList;

    @ApiModelProperty(value = "标准诊断(疾病)关联ICD信息")
    private List<StandardDiseaseIcdAddDTO> icdAddList;

}
