package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto;

import java.util.List;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class StandardDiseaseUpdateFullDTO {

    @ApiModelProperty(value = "病种更新信息")
    @NotNull(message = "病种更新信息不能为空")
    private StandardDiseaseUpdateDTO diseaseInfo; 
    
    @ApiModelProperty(value = "diagnosis")
    private List<StandardDiseaseDiagnosisUpdateDTO> diagnosisUpdateList; 

    @ApiModelProperty(value = "icd")
    private List<StandardDiseaseIcdUpdateDTO> icdUpdateList; 

}
