package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.entity.BasePageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class StandardExamineProjectQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "内部编码")
    private String id;

    @ApiModelProperty(value = "项目编号")
    private String projectCode;

    @ApiModelProperty(value = "版本号")
    private String versionCode;

    @ApiModelProperty(value = "分类")
    private String type;

    @ApiModelProperty(value = "关键字")
    private String keywords;

    @ApiModelProperty(value = "ids")
    private List<String> ids;


}
