package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto;

import com.xxh.cloud.framework.common.entity.BasePageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class StandardKeywordsQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "关联一级分类")
    private String relOneType;

    @ApiModelProperty(value = "关联二级分类")
    private String relTwoType;


    @ApiModelProperty(value = "关联三级分类")
    private String relThreeType;


    @ApiModelProperty(value = "关联对象值")
    private String relVal;


    @ApiModelProperty(value = "项目编号")
    private String projectCode;


    @ApiModelProperty(value = "版本号")
    private String versionCode;

    @ApiModelProperty(value = "ids")
    private List<String> ids;




}
