package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class StandardKeywordsUpdateDTO {

    @ApiModelProperty(value = "id",required = true)
    @NotEmpty(message = "ID不能为空")
    private String id;


    @ApiModelProperty(value = "名称",required = true)
    @NotEmpty(message = "名称不能为空")
    private String name;


    @ApiModelProperty(value = "正则表达式",required = true)
    @NotEmpty(message = "正则表达式不能为空")
    private String regExp;


    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "关联一级分类")
    private String relOneType;

    @ApiModelProperty(value = "关联二级分类")
    private String relTwoType;


    @ApiModelProperty(value = "关联三级分类")
    private String relThreeType;


    @ApiModelProperty(value = "关联对象值")
    private String relVal;


}
