package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Getter
@Setter
public class StandardLaboratoryTypeUpdateDTO {



    @ApiModelProperty(value = "内部编号",required = true)
    @NotEmpty(message = "内部编号不能为空")
    private String id;

    @ApiModelProperty(value = "名称",required = true)
    @NotEmpty(message = "名称不能为空")
    private String name;

    @ApiModelProperty(value = "别名")
    private String aliasName;

    @ApiModelProperty(value = "备注")
    private String remark;




}
