package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class StandardMedicantDrugRelUpdateDTO {

    @ApiModelProperty(value = "内部编号",required = true)
    @NotEmpty(message = "内部编号不能为空")
    private String id;

    @ApiModelProperty(value = "药品ID")
    private String medicantId;


    @ApiModelProperty(value = "院内药品编号")
    private String drugId;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 项目编号
     */
    @ApiModelProperty(value = "项目编号")
    private String projectCode;


}
