package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class StandardSampleSaveDTO {


    @ApiModelProperty(value = "内部编号")
    private String id;


    @ApiModelProperty(value = "标准样本名称",required = true)
    @NotEmpty(message = "标准样本名称不能为空")
    private String name;


    @ApiModelProperty(value = "项目编号")
    private String projectCode;


    @ApiModelProperty(value = "版本号")
    private String versionCode;


}
