package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class StandardSymptomSaveDTO {

    @ApiModelProperty(value = "内部编码")
    private String id;


    @ApiModelProperty(value = "症状名称",required = true)
    @NotEmpty(message = "症状名称不能为空")
    private String name;

    @ApiModelProperty(value = "症状系统")
    private String type;

    @ApiModelProperty(value = "是否紧急(YN)")
    private String urgent;


    @ApiModelProperty(value = "父ID",required = true)
    @NotEmpty(message = "父ID不能为空")
    private String pid;


    @ApiModelProperty(value = "备注")
    private String remark;


    @ApiModelProperty(value = "项目编号")
    private String projectCode;


    @ApiModelProperty(value = "版本号")
    private String versionCode;



}
