package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class StandardSystemDiseaseUpdateDTO {


    @ApiModelProperty(value = "内部编号",required = true)
    @NotEmpty(message = "内部编号不能为空")
    private String id;


    @ApiModelProperty(value = "疾病系统名称",required = true)
    @NotEmpty(message = "疾病系统名称不能为空")
    private String name;

    @ApiModelProperty(value = "疾病系统别名")
    private String aliasName;

    @ApiModelProperty(value = "疾病系统名称英文")
    private String enName;

    @ApiModelProperty(value = "疾病系统名称缩写")
    private String abbrName;

    @ApiModelProperty(value = "备注")
    private String remark;


}
