package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class StandardUnitUpdateDTO {


    @ApiModelProperty(value = "内部编号",required = true)
    @NotEmpty(message = "内部编号不能为空")
    private String id;


    @ApiModelProperty(value = "单位名称",required = true)
    @NotEmpty(message = "单位名称不能为空")
    private String name;


    @ApiModelProperty(value = "单位解释")
    private String remark;


    @ApiModelProperty(value = "清洗匹配规则")
    private String ruleConfig;


}
