package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos;

import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import com.xxh.cloud.user.client.api.bean.bos.AdminUserBO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class StandardDiseaseDiagnosisVO extends BaseEntity {

    @ApiModelProperty(value = "id")
    private String id;

    /**
     * 疾病ID
     */
    @ApiModelProperty(value = "疾病ID")
    private String diseaseId;

    /**
     * 诊断关联类型
     */
    @ApiModelProperty(value = "诊断关联类型")
    private String objType;

    /**
     * 诊断关联名称
     */
    @ApiModelProperty(value = "诊断关联名称")
    private String objName;

    /**
     * 诊断关联ID
     */
    @ApiModelProperty(value = "诊断关联ID")
    private String objId;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 项目编号
     */
    @ApiModelProperty(value = "项目编号")
    private String projectCode;

    /**
     * 疾病信息
     */
    @ApiModelProperty(value = "疾病信息")
    private StandardDiseaseVO standardDiseaseInfo;

    /**
     * 创建者姓名
     */
    @ApiModelProperty(value = "创建者姓名")
    private String creatorName;

    /**
     * 更新者姓名
     */
    @ApiModelProperty(value = "更新者姓名")
    private String updaterName;

}
