package com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class StandardKeywordsVO {



    @ApiModelProperty(value = "id")
    private String id;


    @ApiModelProperty(value = "名称")
    private String name;


    @ApiModelProperty(value = "正则表达式")
    private String regExp;


    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "关联一级分类")
    private String relOneType;

    @ApiModelProperty(value = "关联二级分类")
    private String relTwoType;

    @ApiModelProperty(value = "关联三级分类")
    private String relThreeType;

    @ApiModelProperty(value = "关联对象值")
    private String relVal;


    @ApiModelProperty(value = "项目编号")
    private String projectCode;


    @ApiModelProperty(value = "版本号")
    private String versionCode;



    @ApiModelProperty("创建者")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("更新者")
    private String updater;

    @ApiModelProperty("更新时间")
    private Date updateDate;


    //===========================================




}
