package com.xxh.cloud.metadata.framework.modules.standardBiz.biz;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardDeptGetDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardDeptListDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardDeptQueryDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardDeptSaveDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardDeptUpdateDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos.StandardDeptVO;
import com.xxh.cloud.metadata.framework.modules.standard.entity.StandardDeptInfo;

import java.util.List;

public interface StandardDeptBizService {


    public IPage<StandardDeptInfo> queryStandardDept(StandardDeptQueryDTO params);
    public PageData<StandardDeptVO> query(StandardDeptQueryDTO params);

    public List<StandardDeptVO> list(StandardDeptListDTO params);

    public List<StandardDeptVO> tree(StandardDeptListDTO params);

    public List<StandardDeptVO> tree2SysDept(StandardDeptListDTO params);



    public StandardDeptVO save(StandardDeptSaveDTO params);

    public StandardDeptVO update(StandardDeptUpdateDTO params);

    public void delById(String id);

    public StandardDeptVO getById(String id);

    public StandardDeptVO detail(StandardDeptGetDTO params);



}
