package com.xxh.cloud.metadata.framework.modules.standardBiz.biz;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.*;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos.StandardDiseaseFullVO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos.StandardDiseaseVO;
import com.xxh.cloud.metadata.framework.modules.standard.entity.StandardDiseaseInfo;

import java.util.List;

public interface StandardDiseaseBizService {


    public PageData<StandardDiseaseVO> query(StandardDiseaseQueryDTO params);

    public IPage<StandardDiseaseInfo> queryStandardDisease(StandardDiseaseQueryDTO params);

    public List<StandardDiseaseVO> list(StandardDiseaseListDTO params);

    public List<StandardDiseaseVO> tree(StandardDiseaseTreeDTO params);

    public StandardDiseaseVO save(StandardDiseaseSaveDTO params);

    public StandardDiseaseVO saveFull(StandardDiseaseSaveFullDTO params);

    public StandardDiseaseVO update(StandardDiseaseUpdateDTO params);

    public StandardDiseaseVO updateFull(StandardDiseaseUpdateFullDTO params);

    public void delById(String id);
    public StandardDiseaseVO getById(String id);


    public StandardDiseaseFullVO getFullById(String id);



}
