package com.xxh.cloud.metadata.framework.modules.standardBiz.biz;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.*;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos.StandardDiseaseDiagnosisVO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos.StandardDiseaseIcdVO;

import java.util.List;

public interface StandardDiseaseRelationBizService {


    public PageData<StandardDiseaseDiagnosisVO> queryRelDiagnosis(StandardDiseaseDiagnosisPageDTO params);

    public List<StandardDiseaseDiagnosisVO> listRelDiagnosis(StandardDiseaseDiagnosisListDTO params);

    public void addRelDiagnosis(StandardDiseaseDiagnosisAddDTO params);

    public void addBatchRelDiagnosis(StandardDiseaseDiagnosisAddBatchDTO params);

    public void delRelDiagnosisById(String id);

    public void delRelDiagnosisByIds(List<String> ids);

    public StandardDiseaseDiagnosisVO getRelDiagnosisById(String id);

    public void updateBatchRelDiagnosisByDisease(List<StandardDiseaseDiagnosisUpdateDTO> params);

    //---------------------------------------------------------------------



    public PageData<StandardDiseaseIcdVO> queryRelIdc(StandardDiseaseIcdPageDTO params);

    public List<StandardDiseaseIcdVO> listRelIdc(StandardDiseaseIcdListDTO params);

    public void addRelIdc(StandardDiseaseIcdAddDTO params);

    public void addBatchRelIdc(StandardDiseaseIcdAddBatchDTO params);

    public void delRelIdcById(String id);

    public void delRelIdcByIds(List<String> ids);

    public StandardDiseaseIcdVO getRelIdcById(String id);

    public void updateBatchRelIdcByDisease(List<StandardDiseaseIcdUpdateDTO> params);





}
