package com.xxh.cloud.metadata.framework.modules.standardBiz.biz;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardSystemDiseaseListDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardSystemDiseaseQueryDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardSystemDiseaseSaveDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardSystemDiseaseUpdateDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos.StandardDiseaseSystemVO;

import java.util.List;

public interface StandardDiseaseSystemBizService {

    public PageData<StandardDiseaseSystemVO> query(StandardSystemDiseaseQueryDTO params);

    public List<StandardDiseaseSystemVO> list(StandardSystemDiseaseListDTO params);

    public StandardDiseaseSystemVO save(StandardSystemDiseaseSaveDTO params);

    public StandardDiseaseSystemVO update(StandardSystemDiseaseUpdateDTO params);

    public void delById(String id);

    public StandardDiseaseSystemVO getById(String id);


}
