package com.xxh.cloud.metadata.framework.modules.standardBiz.biz;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardEventListDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardEventQueryDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardEventSaveDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardEventUpdateDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos.StandardEventVO;
import com.xxh.cloud.metadata.framework.modules.standard.entity.StandardEventInfo;

import java.util.List;

public interface StandardEventBizService {



    public IPage<StandardEventInfo> queryStandardEvent(StandardEventQueryDTO params);
    public PageData<StandardEventVO> query(StandardEventQueryDTO params);

    public List<StandardEventVO> list(StandardEventListDTO params);

    public StandardEventVO save(StandardEventSaveDTO params);

    public StandardEventVO update(StandardEventUpdateDTO params);

    public void delById(String id);

    public StandardEventVO getById(String id);


}
