package com.xxh.cloud.metadata.framework.modules.standardBiz.biz;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardExamineProjectListDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardExamineProjectQueryDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardExamineProjectSaveDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardExamineProjectUpdateDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos.StandardExamineProjectVO;
import com.xxh.cloud.metadata.framework.modules.standard.entity.StandardExamineProjectInfo;

import java.util.List;

public interface StandardExamineProjectBizService {


    public PageData<StandardExamineProjectVO> query(StandardExamineProjectQueryDTO params);

    public IPage<StandardExamineProjectInfo> queryStandardExamineProject(StandardExamineProjectQueryDTO params);


    public List<StandardExamineProjectVO> list(StandardExamineProjectListDTO params);


    public StandardExamineProjectVO save(StandardExamineProjectSaveDTO params);

    public StandardExamineProjectVO update(StandardExamineProjectUpdateDTO params);

    public void delById(String id);

    public StandardExamineProjectVO getById(String id);

}
