package com.xxh.cloud.metadata.framework.modules.standardBiz.biz;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardFeeProjectListDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardFeeProjectQueryDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardFeeProjectSaveDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardFeeProjectUpdateDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos.StandardFeeProjectVO;

import java.util.List;

public interface StandardFeeProjectBizService {

    public PageData<StandardFeeProjectVO> query(StandardFeeProjectQueryDTO params);

    public List<StandardFeeProjectVO> list(StandardFeeProjectListDTO params);

    public StandardFeeProjectVO save(StandardFeeProjectSaveDTO params);

    public StandardFeeProjectVO update(StandardFeeProjectUpdateDTO params);

    public void delById(String id);

    public StandardFeeProjectVO getById(String id);




}
