package com.xxh.cloud.metadata.framework.modules.standardBiz.biz;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardKeywordsListDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardKeywordsQueryDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardKeywordsSaveDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardKeywordsUpdateDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos.StandardKeywordsVO;
import com.xxh.cloud.metadata.framework.modules.standard.entity.StandardKeywordsInfo;

import java.util.List;

public interface StandardKeywordsBizService {


    public PageData<StandardKeywordsVO> query(StandardKeywordsQueryDTO params);

    public IPage<StandardKeywordsInfo> queryStandardKeywords(StandardKeywordsQueryDTO params);

    public List<StandardKeywordsVO> list(StandardKeywordsListDTO params);

    public StandardKeywordsVO save(StandardKeywordsSaveDTO params);

    public StandardKeywordsVO update(StandardKeywordsUpdateDTO params);

    public void delById(String id);

    public StandardKeywordsVO getById(String id);


}
