package com.xxh.cloud.metadata.framework.modules.standardBiz.biz;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardLaboratoryProjectListDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardLaboratoryProjectQueryDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardLaboratoryProjectSaveDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardLaboratoryProjectUpdateDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos.StandardLaboratoryProjectVO;
import com.xxh.cloud.metadata.framework.modules.standard.entity.StandardLaboratoryProjectInfo;

import java.util.List;

public interface StandardLaboratoryProjectBizService {

    public PageData<StandardLaboratoryProjectVO> query(StandardLaboratoryProjectQueryDTO params);

    public IPage<StandardLaboratoryProjectInfo> queryStandardLaboratoryProject(StandardLaboratoryProjectQueryDTO params);

    public List<StandardLaboratoryProjectVO> list(StandardLaboratoryProjectListDTO params);

    public StandardLaboratoryProjectVO save(StandardLaboratoryProjectSaveDTO params);

    public StandardLaboratoryProjectVO update(StandardLaboratoryProjectUpdateDTO params);

    public void delById(String id);

    public StandardLaboratoryProjectVO getById(String id);
}
