package com.xxh.cloud.metadata.framework.modules.standardBiz.biz;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardLaboratoryTypeListDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardLaboratoryTypeQueryDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardLaboratoryTypeSaveDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardLaboratoryTypeUpdateDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos.StandardLaboratoryTypeVO;

import java.util.List;

public interface StandardLaboratoryTypeBizService {


    public PageData<StandardLaboratoryTypeVO> query(StandardLaboratoryTypeQueryDTO params);

    public List<StandardLaboratoryTypeVO> list(StandardLaboratoryTypeListDTO params);

    public StandardLaboratoryTypeVO save(StandardLaboratoryTypeSaveDTO params);

    public StandardLaboratoryTypeVO update(StandardLaboratoryTypeUpdateDTO params);

    public void delById(String id);

    public StandardLaboratoryTypeVO getById(String id);

}
