package com.xxh.cloud.metadata.framework.modules.standardBiz.biz;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardTherapyListDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardTherapyQueryDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardTherapySaveDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.dto.StandardTherapyUpdateDTO;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos.StandardTherapyVO;
import com.xxh.cloud.metadata.framework.modules.standard.entity.StandardTherapyInfo;

import java.util.List;

/**
 * 标准治疗
 * */
public interface StandardTherapyBizService {


    public IPage<StandardTherapyInfo> queryStandardTherapy(StandardTherapyQueryDTO params);

    public PageData<StandardTherapyVO> query(StandardTherapyQueryDTO params);

    public List<StandardTherapyVO> list(StandardTherapyListDTO params);

    public StandardTherapyVO save(StandardTherapySaveDTO params);

    public StandardTherapyVO update(StandardTherapyUpdateDTO params);

    public StandardTherapyVO getById(String id);

    public void delById(String id);
}
