package com.xxh.cloud.metadata.framework.modules.standardBiz.helper;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.map.MapUtil;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos.StandardSymptomVO;
import com.xxh.cloud.metadata.framework.modules.standard.entity.StandardSymptomInfo;

import java.util.Map;

public class StandardSymptomConvert {

    public static StandardSymptomVO getStandardSymptomVO(StandardSymptomInfo entity){
        StandardSymptomVO data=new StandardSymptomVO();
        BeanUtil.copyProperties(entity,data);
        return data;
    }

    public static StandardSymptomVO getStandardSymptomVO(StandardSymptomInfo entity, Map<String,Integer> childIdNumMap){
        StandardSymptomVO data=getStandardSymptomVO(entity);
        if(MapUtil.isNotEmpty(childIdNumMap)){
            if(childIdNumMap.containsKey(data.getId())){
                Integer num= childIdNumMap.get(data.getId());
                data.setIsChildFlag(YN.YES.getCode());
                data.setChildNum(num);
            }else {
                data.setIsChildFlag(YN.NO.getCode());
            }
        }
        return data;
    }

}
