package com.xxh.cloud.metadata.framework.modules.tableData.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Getter
@Setter
public class TableDataListDTO {

    @ApiModelProperty(value = "表编号",required = true)
    @NotEmpty(message = "表编号不能为空")
    private String tableId;

    @ApiModelProperty(value = "对象分类")
    private String objectType;

    @ApiModelProperty(value = "对象ID")
    private String objectId;


    @ApiModelProperty(value = "条件")
    private List<TableDataCondtionDTO> condtions;


    @ApiModelProperty(value = "排序")
    private List<TableDataOrderByDTO> orderBys;

}
