package com.xxh.cloud.metadata.framework.modules.tableData.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Map;

@Getter
@Setter
public class TableDataUpdateDTO {

    @ApiModelProperty(value = "表编号",required = true)
    @NotEmpty(message = "表编号不能为空")
    private String tableId;


    @ApiModelProperty(value = "数据ID",required = true)
    @NotEmpty(message = "数据ID不能为空")
    private String id;


    @ApiModelProperty(value = "表数据",required = true)
    @NotNull(message = "表数据不能为空")
    private Map<String, String> data;



}
